<?php
/**
 * Supermarket Store Theme Customizer
 *
 * @package Supermarket Store
 */

function supermarket_store_customize_register( $wp_customize ) {

	load_template( trailingslashit( get_template_directory() ) . 'revolution/inc/fontawesome-change.php' );
	
	$wp_customize->get_setting( 'blogname' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport  = 'postMessage';
	$wp_customize->get_setting( 'header_textcolor' )->transport = 'postMessage';

	if ( isset( $wp_customize->selective_refresh ) ) {
		$wp_customize->selective_refresh->add_partial(
			'blogname',
			array(
				'selector'        => '.site-title a',
				'render_callback' => 'supermarket_store_customize_partial_blogname',
			)
		);
		$wp_customize->selective_refresh->add_partial(
			'blogdescription',
			array(
				'selector'        => '.site-description',
				'render_callback' => 'supermarket_store_customize_partial_blogdescription',
			)
		);
	}

	/*
    * Theme Options Panel
    */
	$wp_customize->add_panel('supermarket_store_panel', array(
		'priority' => 25,
		'capability' => 'edit_theme_options',
		'title' => __('Supermarket Store Theme Options', 'supermarket-store'),
	));

	/*
	* Customizer top header section
	*/

	$wp_customize->add_setting(
		'supermarket_store_site_title_text',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'supermarket_store_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'supermarket_store_site_title_text',
		array(
			'label'       => __('Enable Title', 'supermarket-store'),
			'description' => __('Enable or Disable Title from the site', 'supermarket-store'),
			'section'     => 'title_tagline',
			'type'        => 'checkbox',
		)
	);

	$wp_customize->add_setting(
		'supermarket_store_site_tagline_text',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 0,
			'sanitize_callback' => 'supermarket_store_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'supermarket_store_site_tagline_text',
		array(
			'label'       => __('Enable Tagline', 'supermarket-store'),
			'description' => __('Enable or Disable Tagline from the site', 'supermarket-store'),
			'section'     => 'title_tagline',
			'type'        => 'checkbox',
		)
	);

	$wp_customize->add_setting(
		'supermarket_store_logo_width',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '150',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'supermarket_store_logo_width',
		array(
			'label'       => __('Logo Width in PX', 'supermarket-store'),
			'section'     => 'title_tagline',
			'type'        => 'number',
			'input_attrs' => array(
	            'min' => 100,
	             'max' => 300,
	             'step' => 1,
	         ),
		)
	);

		/* WooCommerce custom settings */

	$wp_customize->add_section('woocommerce_custom_settings', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('WooCommerce Custom Settings', 'supermarket-store'),
		'panel'       => 'woocommerce',
	));

	$wp_customize->add_setting(
		'supermarket_store_per_columns',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '3',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'supermarket_store_per_columns',
		array(
			'label'       => __('Product Per Single Row', 'supermarket-store'),
			'section'     => 'woocommerce_custom_settings',
			'type'        => 'number',
			'input_attrs' => array(
	            'min' => 1,
	             'max' => 4,
	             'step' => 1,
	         ),
		)
	);

	$wp_customize->add_setting(
		'supermarket_store_product_per_page',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '6',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'supermarket_store_product_per_page',
		array(
			'label'       => __('Product Per One Page', 'supermarket-store'),
			'section'     => 'woocommerce_custom_settings',
			'type'        => 'number',
			'input_attrs' => array(
	            'min' => 1,
	             'max' => 12,
	             'step' => 1,
	         ),
		)
	);

	/*Related Products Enable Option*/
	$wp_customize->add_setting(
		'supermarket_store_enable_related_product',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'supermarket_store_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'supermarket_store_enable_related_product',
		array(
			'label'       => __('Enable Related Product', 'supermarket-store'),
			'description' => __('Checked to show Related Product', 'supermarket-store'),
			'section'     => 'woocommerce_custom_settings',
			'type'        => 'checkbox',
		)
	);

	$wp_customize->add_setting(
		'custom_related_products_number',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '3',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'custom_related_products_number',
		array(
			'label'       => __('Related Product Count', 'supermarket-store'),
			'section'     => 'woocommerce_custom_settings',
			'type'        => 'number',
			'input_attrs' => array(
	            'min' => 1,
	             'max' => 20,
	             'step' => 1,
	         ),
		)
	);

	$wp_customize->add_setting(
		'custom_related_products_number_per_row',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '3',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'custom_related_products_number_per_row',
		array(
			'label'       => __('Related Product Per Row', 'supermarket-store'),
			'section'     => 'woocommerce_custom_settings',
			'type'        => 'number',
			'input_attrs' => array(
	            'min' => 1,
	             'max' => 4,
	             'step' => 1,
	         ),
		)
	);

	/*Archive Product layout*/
	$wp_customize->add_setting('supermarket_store_archive_product_layout',array(
        'default' => 'layout-1',
        'sanitize_callback' => 'supermarket_store_sanitize_choices'
	));
	$wp_customize->add_control('supermarket_store_archive_product_layout',array(
        'type' => 'select',
        'label' => esc_html__('Archive Product Layout','supermarket-store'),
        'section' => 'woocommerce_custom_settings',
        'choices' => array(
            'layout-1' => esc_html__('Sidebar On Right','supermarket-store'),
            'layout-2' => esc_html__('Sidebar On Left','supermarket-store'),
			'layout-3' => esc_html__('Full Width Layout','supermarket-store')
        ),
	) );

	/*Single Product layout*/
	$wp_customize->add_setting('supermarket_store_single_product_layout',array(
        'default' => 'layout-1',
        'sanitize_callback' => 'supermarket_store_sanitize_choices'
	));
	$wp_customize->add_control('supermarket_store_single_product_layout',array(
        'type' => 'select',
        'label' => esc_html__('Single Product Layout','supermarket-store'),
        'section' => 'woocommerce_custom_settings',
        'choices' => array(
            'layout-1' => esc_html__('Sidebar On Right','supermarket-store'),
            'layout-2' => esc_html__('Sidebar On Left','supermarket-store'),
			'layout-3' => esc_html__('Full Width Layout','supermarket-store')
        ),
	) );

	$wp_customize->add_setting('supermarket_store_woocommerce_product_sale',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
        'default'           => 'Right',
        'sanitize_callback' => 'supermarket_store_sanitize_choices'
    ));
    $wp_customize->add_control('supermarket_store_woocommerce_product_sale',array(
        'label'       => esc_html__( 'Woocommerce Product Sale Positions','supermarket-store' ),
        'type' => 'select',
        'section' => 'woocommerce_custom_settings',
        'choices' => array(
            'Right' => __('Right','supermarket-store'),
            'Left' => __('Left','supermarket-store'),
            'Center' => __('Center','supermarket-store')
        ),
    ) );

	/*Additional Options*/
	$wp_customize->add_section('supermarket_store_additional_section', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Additional Options', 'supermarket-store'),
		'panel'       => 'supermarket_store_panel',
	));

	/*Main Slider Enable Option*/
	$wp_customize->add_setting(
		'supermarket_store_enable_sticky_header',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => false,
			'sanitize_callback' => 'supermarket_store_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'supermarket_store_enable_sticky_header',
		array(
			'label'       => __('Enable Sticky Header', 'supermarket-store'),
			'description' => __('Checked to enable sticky header', 'supermarket-store'),
			'section'     => 'supermarket_store_additional_section',
			'type'        => 'checkbox',
		)
	);

	/*Main Slider Enable Option*/
	$wp_customize->add_setting(
		'supermarket_store_enable_preloader',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 0,
			'sanitize_callback' => 'supermarket_store_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'supermarket_store_enable_preloader',
		array(
			'label'       => __('Enable Preloader', 'supermarket-store'),
			'description' => __('Checked to show preloader', 'supermarket-store'),
			'section'     => 'supermarket_store_additional_section',
			'type'        => 'checkbox',
		)
	);

	/*Breadcrumbs Enable Option*/
	$wp_customize->add_setting(
		'supermarket_store_enable_breadcrumbs',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'supermarket_store_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'supermarket_store_enable_breadcrumbs',
		array(
			'label'       => __('Enable Breadcrumbs', 'supermarket-store'),
			'description' => __('Checked to show Breadcrumbs', 'supermarket-store'),
			'section'     => 'supermarket_store_additional_section',
			'type'        => 'checkbox',
		)
	);

	/*Pagination Enable Option*/
	$wp_customize->add_setting(
		'supermarket_store_enable_pagination',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'supermarket_store_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'supermarket_store_enable_pagination',
		array(
			'label'       => __('Enable Pagination', 'supermarket-store'),
			'description' => __('Checked to show Pagination', 'supermarket-store'),
			'section'     => 'supermarket_store_additional_section',
			'type'        => 'checkbox',
		)
	);

	/*Pagination Select Type Option*/
	$wp_customize->add_setting('supermarket_store_pagination_type',array(
        'default' => 'type-1',
        'sanitize_callback' => 'supermarket_store_sanitize_choices'
	));
	$wp_customize->add_control('supermarket_store_pagination_type',array(
        'type' => 'select',
        'label' => esc_html__('Select Pagination Type','supermarket-store'),
        'section' => 'supermarket_store_additional_section',
        'choices' => array(
            'type-1' => esc_html__('Type 1','supermarket-store'),
            'type-2' => esc_html__('Type 2','supermarket-store'),
        ),
	) );

	/*Post layout*/
	$wp_customize->add_setting('supermarket_store_archive_layout',array(
        'default' => 'layout-1',
        'sanitize_callback' => 'supermarket_store_sanitize_choices'
	));
	$wp_customize->add_control('supermarket_store_archive_layout',array(
        'type' => 'select',
        'label' => esc_html__('Posts Layout','supermarket-store'),
        'section' => 'supermarket_store_additional_section',
        'choices' => array(
            'layout-1' => esc_html__('Sidebar On Right','supermarket-store'),
            'layout-2' => esc_html__('Sidebar On Left','supermarket-store'),
			'layout-3' => esc_html__('Full Width Layout','supermarket-store')
        ),
	) );

	/*single post layout*/
	$wp_customize->add_setting('supermarket_store_post_layout',array(
        'default' => 'layout-1',
        'sanitize_callback' => 'supermarket_store_sanitize_choices'
	));
	$wp_customize->add_control('supermarket_store_post_layout',array(
        'type' => 'select',
        'label' => esc_html__('Single Post Layout','supermarket-store'),
        'section' => 'supermarket_store_additional_section',
        'choices' => array(
            'layout-1' => esc_html__('Sidebar On Right','supermarket-store'),
            'layout-2' => esc_html__('Sidebar On Left','supermarket-store'),
			'layout-3' => esc_html__('Full Width Layout','supermarket-store')
        ),
	) );

	/*single page layout*/
	$wp_customize->add_setting('supermarket_store_page_layout',array(
        'default' => 'layout-1',
        'sanitize_callback' => 'supermarket_store_sanitize_choices'
	));
	$wp_customize->add_control('supermarket_store_page_layout',array(
        'type' => 'select',
        'label' => esc_html__('Single Page Layout','supermarket-store'),
        'section' => 'supermarket_store_additional_section',
        'choices' => array(
            'layout-1' => esc_html__('Sidebar On Right','supermarket-store'),
            'layout-2' => esc_html__('Sidebar On Left','supermarket-store'),
			'layout-3' => esc_html__('Full Width Layout','supermarket-store')
        ),
	) );

	/*Archive Post Options*/
	$wp_customize->add_section('supermarket_store_blog_post_section', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Blog Page Options', 'supermarket-store'),
		'panel'       => 'supermarket_store_panel',
	));

	$wp_customize->add_setting('supermarket_store_enable_blog_post_title',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'supermarket_store_sanitize_checkbox',
	));
	$wp_customize->add_control('supermarket_store_enable_blog_post_title',array(
		'label'       => __('Enable Blog Post Title', 'supermarket-store'),
		'description' => __('Checked To Show Blog Post Title', 'supermarket-store'),
		'section'     => 'supermarket_store_blog_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('supermarket_store_enable_blog_post_meta',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'supermarket_store_sanitize_checkbox',
	));
	$wp_customize->add_control('supermarket_store_enable_blog_post_meta',array(
		'label'       => __('Enable Blog Post Meta', 'supermarket-store'),
		'description' => __('Checked To Show Blog Post Meta Feilds', 'supermarket-store'),
		'section'     => 'supermarket_store_blog_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('supermarket_store_enable_blog_post_tags',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'supermarket_store_sanitize_checkbox',
	));
	$wp_customize->add_control('supermarket_store_enable_blog_post_tags',array(
		'label'       => __('Enable Blog Post Tags', 'supermarket-store'),
		'description' => __('Checked To Show Blog Post Tags', 'supermarket-store'),
		'section'     => 'supermarket_store_blog_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('supermarket_store_enable_blog_post_image',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'supermarket_store_sanitize_checkbox',
	));
	$wp_customize->add_control('supermarket_store_enable_blog_post_image',array(
		'label'       => __('Enable Blog Post Image', 'supermarket-store'),
		'description' => __('Checked To Show Blog Post Image', 'supermarket-store'),
		'section'     => 'supermarket_store_blog_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('supermarket_store_enable_blog_post_content',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'supermarket_store_sanitize_checkbox',
	));
	$wp_customize->add_control('supermarket_store_enable_blog_post_content',array(
		'label'       => __('Enable Blog Post Content', 'supermarket-store'),
		'description' => __('Checked To Show Blog Post Content', 'supermarket-store'),
		'section'     => 'supermarket_store_blog_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('supermarket_store_enable_blog_post_button',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'supermarket_store_sanitize_checkbox',
	));
	$wp_customize->add_control('supermarket_store_enable_blog_post_button',array(
		'label'       => __('Enable Blog Post Read More Button', 'supermarket-store'),
		'description' => __('Checked To Show Blog Post Read More Button', 'supermarket-store'),
		'section'     => 'supermarket_store_blog_post_section',
		'type'        => 'checkbox',
	));

	/*Blog post Content layout*/
	$wp_customize->add_setting('supermarket_store_blog_Post_content_layout',array(
        'default' => 'Left',
        'sanitize_callback' => 'supermarket_store_sanitize_choices'
	));
	$wp_customize->add_control('supermarket_store_blog_Post_content_layout',array(
        'type' => 'select',
        'label' => esc_html__('Blog Post Content Layout','supermarket-store'),
        'section' => 'supermarket_store_blog_post_section',
        'choices' => array(
            'Left' => esc_html__('Left','supermarket-store'),
            'Center' => esc_html__('Center','supermarket-store'),
            'Right' => esc_html__('Right','supermarket-store')
        ),
	) );

	/*Excerpt*/
    $wp_customize->add_setting(
		'supermarket_store_excerpt_limit',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '25',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'supermarket_store_excerpt_limit',
		array(
			'label'       => __('Excerpt Limit', 'supermarket-store'),
			'section'     => 'supermarket_store_blog_post_section',
			'type'        => 'number',
			'input_attrs' => array(
	            'min' => 2,
	             'max' => 50,
	             'step' => 2,
	         ),
		)
	);

	/*Archive Button Text*/
	$wp_customize->add_setting(
		'supermarket_store_read_more_text',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 'Continue Reading....',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'supermarket_store_read_more_text',
		array(
			'label'       => __('Edit Button Text ', 'supermarket-store'),
			'section'     => 'supermarket_store_blog_post_section',
			'type'        => 'text',
		)
	);

	/*Single Post Options*/
	$wp_customize->add_section('supermarket_store_single_post_section', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Single Post Options', 'supermarket-store'),
		'panel'       => 'supermarket_store_panel',
	));

	$wp_customize->add_setting('supermarket_store_enable_single_blog_post_title',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'supermarket_store_sanitize_checkbox',
	));
	$wp_customize->add_control('supermarket_store_enable_single_blog_post_title',array(
		'label'       => __('Enable Single Post Title', 'supermarket-store'),
		'description' => __('Checked To Show Single Blog Post Title', 'supermarket-store'),
		'section'     => 'supermarket_store_single_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('supermarket_store_enable_single_blog_post_meta',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'supermarket_store_sanitize_checkbox',
	));
	$wp_customize->add_control('supermarket_store_enable_single_blog_post_meta',array(
		'label'       => __('Enable Single Post Meta', 'supermarket-store'),
		'description' => __('Checked To Show Single Blog Post Meta Feilds', 'supermarket-store'),
		'section'     => 'supermarket_store_single_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('supermarket_store_enable_single_blog_post_tags',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'supermarket_store_sanitize_checkbox',
	));
	$wp_customize->add_control('supermarket_store_enable_single_blog_post_tags',array(
		'label'       => __('Enable Single Post Tags', 'supermarket-store'),
		'description' => __('Checked To Show Single Blog Post Tags', 'supermarket-store'),
		'section'     => 'supermarket_store_single_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('supermarket_store_enable_single_post_image',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'supermarket_store_sanitize_checkbox',
	));
	$wp_customize->add_control('supermarket_store_enable_single_post_image',array(
		'label'       => __('Enable Single Post Image', 'supermarket-store'),
		'description' => __('Checked To Show Single Post Image', 'supermarket-store'),
		'section'     => 'supermarket_store_single_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('supermarket_store_enable_single_blog_post_content',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'supermarket_store_sanitize_checkbox',
	));
	$wp_customize->add_control('supermarket_store_enable_single_blog_post_content',array(
		'label'       => __('Enable Single Post Content', 'supermarket-store'),
		'description' => __('Checked To Show Single Blog Post Content', 'supermarket-store'),
		'section'     => 'supermarket_store_single_post_section',
		'type'        => 'checkbox',
	));

	/*Related Post Enable Option*/
	$wp_customize->add_setting(
		'supermarket_store_enable_related_post',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'supermarket_store_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'supermarket_store_enable_related_post',
		array(
			'label'       => __('Enable Related Post', 'supermarket-store'),
			'description' => __('Checked to show Related Post', 'supermarket-store'),
			'section'     => 'supermarket_store_single_post_section',
			'type'        => 'checkbox',
		)
	);

	/*Related post Edit Text*/
	$wp_customize->add_setting(
		'supermarket_store_related_post_text',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 'Related Post',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'supermarket_store_related_post_text',
		array(
			'label'       => __('Edit Related Post Text ', 'supermarket-store'),
			'section'     => 'supermarket_store_single_post_section',
			'type'        => 'text',
		)
	);	

	/*Related Post Per Page*/
	$wp_customize->add_setting(
		'supermarket_store_related_post_count',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '3',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'supermarket_store_related_post_count',
		array(
			'label'       => __('Related Post Count', 'supermarket-store'),
			'section'     => 'supermarket_store_single_post_section',
			'type'        => 'number',
			'input_attrs' => array(
	            'min' => 1,
	             'max' => 9,
	             'step' => 1,
	         ),
		)
	);

	/*
	* Customizer Global COlor
	*/

	/*Global Color Options*/
	$wp_customize->add_section('supermarket_store_global_color_section', array(
		'priority'       => 1,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Global Color Options', 'supermarket-store'),
		'panel'       => 'supermarket_store_panel',
	));

	$wp_customize->add_setting( 'supermarket_store_primary_color',
		array(
		'default'           => '#efb443',
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'sanitize_hex_color',
		)
	);
	$wp_customize->add_control( 
		new WP_Customize_Color_Control( 
		$wp_customize, 
		'supermarket_store_primary_color',
		array(
			'label'      => esc_html__( 'Primary Color', 'supermarket-store' ),
			'section'    => 'supermarket_store_global_color_section',
			'settings'   => 'supermarket_store_primary_color',
		) ) 
	);

	$wp_customize->add_setting( 'supermarket_store_secondary_color',
		array(
		'default'           => '#255946',
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'sanitize_hex_color',
		)
	);
	$wp_customize->add_control( 
		new WP_Customize_Color_Control( 
		$wp_customize, 
		'supermarket_store_secondary_color',
		array(
			'label'      => esc_html__( 'Secondary Color', 'supermarket-store' ),
			'section'    => 'supermarket_store_global_color_section',
			'settings'   => 'supermarket_store_secondary_color',
		) ) 
	);

	/*Typography Options*/
	$wp_customize->add_section( 'supermarket_store_typography_section', array(
		'panel'       => 'supermarket_store_panel',
        'title'    => __( 'Typography Options', 'supermarket-store' ),
        'priority' => 2,
    ) );

    $wp_customize->add_setting( 'supermarket_store_font_family', array(
		'default'           => 'default',
		'sanitize_callback' => 'supermarket_store_sanitize_font_family',
	) );
	
	$wp_customize->add_control( 'supermarket_store_font_family', array(
		'label'    => __( 'Global Font Family', 'supermarket-store' ),
		'section'  => 'supermarket_store_typography_section',
		'type'     => 'select',
		'choices'  => array(
			'default'          => __( 'Default (Theme Font)', 'supermarket-store' ),
			'bad_script'       => 'Bad Script',
			'roboto'           => 'Roboto',
			'playfair_display' => 'Playfair Display',
			'open_sans'        => 'Open Sans',
			'lobster'          => 'Lobster',
			'merriweather'     => 'Merriweather',
			'oswald'           => 'Oswald',
			'raleway'          => 'Raleway',
		),
	) );
	
	/*Top Header Options*/
	$wp_customize->add_section('supermarket_store_header_section', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Top Header Options', 'supermarket-store'),
		'panel'       => 'supermarket_store_panel',
	));

	/*Top header section enable*/
	$wp_customize->add_setting(
		'supermarket_store_enable_top_header',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'supermarket_store_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'supermarket_store_enable_top_header',
		array(
			'label'       => __('Enable Top Header', 'supermarket-store'),
			'description' => __('Checked to show the top header section.', 'supermarket-store'),
			'section'     => 'supermarket_store_header_section',
			'type'        => 'checkbox',
		)
	);

	/*Menu 1*/
	$wp_customize->add_setting(
		'supermarket_store_menu1_text_option',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 'Daily Deals',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'supermarket_store_menu1_text_option',
		array(
			'label'       => __('Edit Menu 1 Text', 'supermarket-store'),
			'section'     => 'supermarket_store_header_section',
			'type'        => 'text',
		)
	);

	/*Menu 1*/
	$wp_customize->add_setting(
		'supermarket_store_menu1_option',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '#',
			'sanitize_callback' => 'esc_url_raw',
		)
	);

	$wp_customize->add_control(
		'supermarket_store_menu1_option',
		array(
			'label'       => __('Edit Menu 1 Link', 'supermarket-store'),
			'section'     => 'supermarket_store_header_section',
			'type'        => 'url',
		)
	);


	/*Menu 2*/
	$wp_customize->add_setting(
		'supermarket_store_menu2_text_option',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 'Help & Contact',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'supermarket_store_menu2_text_option',
		array(
			'label'       => __('Edit Menu 2 Text', 'supermarket-store'),
			'section'     => 'supermarket_store_header_section',
			'type'        => 'text',
		)
	);

	/*Menu 2*/
	$wp_customize->add_setting(
		'supermarket_store_menu2_option',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '#',
			'sanitize_callback' => 'esc_url_raw',
		)
	);

	$wp_customize->add_control(
		'supermarket_store_menu2_option',
		array(
			'label'       => __('Edit Menu 2 Link', 'supermarket-store'),
			'section'     => 'supermarket_store_header_section',
			'type'        => 'url',
		)
	);

	/*Order tracking section enable*/
	$wp_customize->add_setting(
		'supermarket_store_enable_order_tracking',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'supermarket_store_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'supermarket_store_enable_order_tracking',
		array(
			'label'       => __('Enable Order Tracking', 'supermarket-store'),
			'description' => __('Checked to show the order tracking.', 'supermarket-store'),
			'section'     => 'supermarket_store_header_section',
			'type'        => 'checkbox',
		)
	);

	/*currency switcher section enable*/
	$wp_customize->add_setting(
		'supermarket_store_enable_currency_switcher',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'supermarket_store_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'supermarket_store_enable_currency_switcher',
		array(
			'label'       => __('Enable Currency Switcher', 'supermarket-store'),
			'description' => __('Checked to show the currency switcher.', 'supermarket-store'),
			'section'     => 'supermarket_store_header_section',
			'type'        => 'checkbox',
		)
	);

	/*google translator section enable*/
	$wp_customize->add_setting(
		'supermarket_store_enable_google_translator',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'supermarket_store_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'supermarket_store_enable_google_translator',
		array(
			'label'       => __('Enable Google Translator', 'supermarket-store'),
			'description' => __('Checked to show the google translator.', 'supermarket-store'),
			'section'     => 'supermarket_store_header_section',
			'type'        => 'checkbox',
		)
	);

	/*Phone Number*/
	$wp_customize->add_setting(
		'supermarket_store_phone_number',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '000-121-998-232',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'supermarket_store_phone_number',
		array(
			'label'       => __('Edit Phone Number', 'supermarket-store'),
			'section'     => 'supermarket_store_header_section',
			'type'        => 'text',
		)
	);

	/*
	* Customizer main slider section
	*/
	/*Main Slider Options*/
	$wp_customize->add_section('supermarket_store_slider_section', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Main Slider Options', 'supermarket-store'),
		'panel'       => 'supermarket_store_panel',
	));

	/*Main Slider Enable Option*/
	$wp_customize->add_setting(
		'supermarket_store_enable_slider',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 0,
			'sanitize_callback' => 'supermarket_store_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'supermarket_store_enable_slider',
		array(
			'label'       => __('Enable Main Slider', 'supermarket-store'),
			'description' => __('Checked to show the main slider', 'supermarket-store'),
			'section'     => 'supermarket_store_slider_section',
			'type'        => 'checkbox',
		)
	);

	$wp_customize->add_setting(
		'supermarket_store_slide_number',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'supermarket_store_slide_number',
		array(
			'label'       => __('Number of slide to show', 'supermarket-store'),
			'section'     => 'supermarket_store_slider_section',
			'type'        => 'number',
			'input_attrs' => array(
				'min' => 1,     
				'max' => 3,   
			)
		)
	);

	$supermarket_store_slide_count = (int)get_theme_mod('supermarket_store_slide_number');

	for ($m=1; $m <= $supermarket_store_slide_count; $m++) {


		/*Main Slider Image*/
		$wp_customize->add_setting(
			'supermarket_store_slider_image'.$m,
			array(
				'capability'    => 'edit_theme_options',
		        'default'       => '',
		        'transport'     => 'postMessage',
		        'sanitize_callback' => 'esc_url_raw',
	    	)
	    );

		$wp_customize->add_control( 
			new WP_Customize_Image_Control( $wp_customize, 
				'supermarket_store_slider_image'.$m, 
				array(
			        'label' => __('Edit Slider Image ', 'supermarket-store') .$m,
			        'description' => __('Edit the slider image.', 'supermarket-store'),
			        'section' => 'supermarket_store_slider_section',
				)
			)
		);

		/*Main Slider Extra Heading*/
		$wp_customize->add_setting(
			'supermarket_store_slider_extra_heading'.$m,
			array(
				'capability'        => 'edit_theme_options',
				'transport'         => 'refresh',
				'default'           => '',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			'supermarket_store_slider_extra_heading'.$m,
			array(
				'label'       => __('Edit Extra Heading Text ', 'supermarket-store') .$m,
				'description' => __('Edit the slider heading text.', 'supermarket-store'),
				'section'     => 'supermarket_store_slider_section',
				'type'        => 'text',
			)
		);

		/*Main Slider Heading*/
		$wp_customize->add_setting(
			'supermarket_store_slider_heading'.$m,
			array(
				'capability'        => 'edit_theme_options',
				'transport'         => 'refresh',
				'default'           => '',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			'supermarket_store_slider_heading'.$m,
			array(
				'label'       => __('Edit Heading Text ', 'supermarket-store') .$m,
				'description' => __('Edit the slider heading text.', 'supermarket-store'),
				'section'     => 'supermarket_store_slider_section',
				'type'        => 'text',
			)
		);

		/*Main Slider Content*/
		$wp_customize->add_setting(
			'supermarket_store_slider_text'.$m,
			array(
				'capability'        => 'edit_theme_options',
				'transport'         => 'refresh',
				'default'           => '',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			'supermarket_store_slider_text'.$m,
			array(
				'label'       => __('Edit Content Text ', 'supermarket-store') .$m,
				'description' => __('Edit the slider content text.', 'supermarket-store'),
				'section'     => 'supermarket_store_slider_section',
				'type'        => 'text',
			)
		);

		/*Main Slider Button1 Text*/
		$wp_customize->add_setting(
			'supermarket_store_slider_button1_text'.$m,
			array(
				'capability'        => 'edit_theme_options',
				'transport'         => 'refresh',
				'default'           => '',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			'supermarket_store_slider_button1_text'.$m,
			array(
				'label'       => __('Edit Button #1 Text ', 'supermarket-store') .$m,
				'description' => __('Edit the slider button text.', 'supermarket-store'),
				'section'     => 'supermarket_store_slider_section',
				'type'        => 'text',
			)
		);

		/*Main Slider Button1 URL*/
		$wp_customize->add_setting(
			'supermarket_store_slider_button1_link'.$m,
			array(
				'capability'        => 'edit_theme_options',
				'transport'         => 'refresh',
				'default'           => '',
				'sanitize_callback' => 'esc_url_raw',
			)
		);

		$wp_customize->add_control(
			'supermarket_store_slider_button1_link'.$m,
			array(
				'label'       => __('Edit Button #1 URL ', 'supermarket-store') .$m,
				'description' => __('Edit the slider button url.', 'supermarket-store'),
				'section'     => 'supermarket_store_slider_section',
				'type'        => 'url',
			)
		);
	}

	/*
	* Customizer Product Category section
	*/
	/*Product Category Options*/
	$wp_customize->add_section('supermarket_store_product_section', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Product Category Options', 'supermarket-store'),
		'panel'       => 'supermarket_store_panel',
	));

	/*Product Category Enable Option*/
	$wp_customize->add_setting(
		'supermarket_store_enable_project',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 0,
			'sanitize_callback' => 'supermarket_store_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'supermarket_store_enable_project',
		array(
			'label'       => __('Enable Product Category Section', 'supermarket-store'),
			'description' => __('Checked to show the category', 'supermarket-store'),
			'section'     => 'supermarket_store_product_section',
			'type'        => 'checkbox',
		)
	);

	for ($i=1; $i <= 6; $i++) { 

		/*Category Image*/
		$wp_customize->add_setting(
			'supermarket_store_category_image'.$i,
			array(
				'capability'    => 'edit_theme_options',
		        'default'       => '',
		        'transport'     => 'postMessage',
		        'sanitize_callback' => 'esc_url_raw',
	    	)
	    );

		$wp_customize->add_control( 
			new WP_Customize_Image_Control( $wp_customize, 
				'supermarket_store_category_image'.$i, 
				array(
			        'label' => __('Edit Category Image ', 'supermarket-store') .$i,
			        'description' => __('Edit the category image.', 'supermarket-store'),
			        'section' => 'supermarket_store_product_section',
				)
			)
		);

		/*Category Image Link*/
		$wp_customize->add_setting(
			'supermarket_store_category_image_url'.$i,
			array(
				'capability'        => 'edit_theme_options',
				'transport'         => 'refresh',
				'default'           => '',
				'sanitize_callback' => 'esc_url_raw',
			)
		);

		$wp_customize->add_control(
			'supermarket_store_category_image_url'.$i,
			array(
				'label'       => __('Edit Product Category Link ', 'supermarket-store') .$i,
				'description' => __('Edit the category link.', 'supermarket-store'),
				'section'     => 'supermarket_store_product_section',
				'type'        => 'url',
			)
		);
	}

	/*
	* Customizer Footer Section
	*/
	/*Footer Options*/
	$wp_customize->add_section('supermarket_store_footer_section', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Footer Options', 'supermarket-store'),
		'panel'       => 'supermarket_store_panel',
	));

	/*Footer Enable Option*/
	$wp_customize->add_setting(
		'supermarket_store_enable_footer',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'supermarket_store_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'supermarket_store_enable_footer',
		array(
			'label'       => __('Enable Footer', 'supermarket-store'),
			'description' => __('Checked to show Footer', 'supermarket-store'),
			'section'     => 'supermarket_store_footer_section',
			'type'        => 'checkbox',
		)
	);

	/*Footer bg image Option*/
	$wp_customize->add_setting('supermarket_store_footer_bg_image',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
        'default'           => '',
        'sanitize_callback' => 'esc_url_raw',
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control($wp_customize,'supermarket_store_footer_bg_image',array(
        'label' => __('Footer Background Image','supermarket-store'),
        'section' => 'supermarket_store_footer_section',
        'priority' => 1,
    )));

	/*Footer Social Menu Option*/
	$wp_customize->add_setting(
		'supermarket_store_footer_social_menu',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'supermarket_store_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'supermarket_store_footer_social_menu',
		array(
			'label'       => __('Enable Footer Social Menu', 'supermarket-store'),
			'description' => __('Checked to show the footer social menu. Go to Dashboard >> Appearance >> Menus >> Create New Menu >> Add Custom Link >> Add Social Menu >> Checked Social Menu >> Save Menu.', 'supermarket-store'),
			'section'     => 'supermarket_store_footer_section',
			'type'        => 'checkbox',
		)
	);	

	/*Go To Top Option*/
	$wp_customize->add_setting(
		'supermarket_store_enable_go_to_top_option',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'supermarket_store_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'supermarket_store_enable_go_to_top_option',
		array(
			'label'       => __('Enable Go To Top', 'supermarket-store'),
			'description' => __('Checked to enable Go To Top option.', 'supermarket-store'),
			'section'     => 'supermarket_store_footer_section',
			'type'        => 'checkbox',
		)
	);

	$wp_customize->add_setting('supermarket_store_go_to_top_position',array(
        'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 'Right',
        'sanitize_callback' => 'supermarket_store_sanitize_choices'
    ));
    $wp_customize->add_control('supermarket_store_go_to_top_position',array(
        'type' => 'select',
        'section' => 'supermarket_store_footer_section',
        'label' => esc_html__('Go To Top Positions','supermarket-store'),
        'choices' => array(
            'Right' => __('Right','supermarket-store'),
            'Left' => __('Left','supermarket-store'),
            'Center' => __('Center','supermarket-store')
        ),
    ) );

	/*Footer Copyright Text Enable*/
	$wp_customize->add_setting(
		'supermarket_store_copyright_option',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'supermarket_store_copyright_option',
		array(
			'label'       => __('Edit Copyright Text', 'supermarket-store'),
			'description' => __('Edit the Footer Copyright Section.', 'supermarket-store'),
			'section'     => 'supermarket_store_footer_section',
			'type'        => 'text',
		)
	);
}
add_action( 'customize_register', 'supermarket_store_customize_register' );



/**
 * Render the site title for the selective refresh partial.
 *
 * @return void
 */
function supermarket_store_customize_partial_blogname() {
	bloginfo( 'name' );
}

/**
 * Render the site tagline for the selective refresh partial.
 *
 * @return void
 */
function supermarket_store_customize_partial_blogdescription() {
	bloginfo( 'description' );
}

/**
 * Binds JS handlers to make Theme Customizer preview reload changes asynchronously.
 */
function supermarket_store_customize_preview_js() {
	wp_enqueue_script( 'supermarket-store-customizer', get_template_directory_uri() . '/js/customizer.js', array( 'customize-preview' ), SUPERMARKET_STORE_VERSION, true );
}
add_action( 'customize_preview_init', 'supermarket_store_customize_preview_js' );


/**
 * Singleton class for handling the theme's customizer integration.
 *
 * @since  1.0.0
 * @access public
 */
final class Supermarket_Store_Customize {

	/**
	 * Returns the instance.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return object
	 */
	public static function get_instance() {

		static $supermarket_store_instance = null;

		if ( is_null( $supermarket_store_instance ) ) {
			$supermarket_store_instance = new self;
			$supermarket_store_instance->setup_actions();
		}

		return $supermarket_store_instance;
	}

	/**
	 * Constructor method.
	 *
	 * @since  1.0.0
	 * @access private
	 * @return void
	 */
	private function __construct() {}

	/**
	 * Sets up initial actions.
	 *
	 * @since  1.0.0
	 * @access private
	 * @return void
	 */
	private function setup_actions() {

		// Register panels, sections, settings, controls, and partials.
		add_action( 'customize_register', array( $this, 'sections' ) );

		// Register scripts and styles for the controls.
		add_action( 'customize_controls_enqueue_scripts', array( $this, 'enqueue_control_scripts' ), 0 );
	}

	/**
	 * Sets up the customizer sections.
	 *
	 * @since  1.0.0
	 * @access public
	 * @param  object  $supermarket_store_manager
	 * @return void
	*/
	public function sections( $supermarket_store_manager ) {

		// Load custom sections.
		load_template( trailingslashit( get_template_directory() ) . '/revolution/inc/section-pro.php' );

		// Register custom section types.
		$supermarket_store_manager->register_section_type( 'Supermarket_Store_Customize_Section_Pro' );

		// Register sections.
		$supermarket_store_manager->add_section( new Supermarket_Store_Customize_Section_Pro( $supermarket_store_manager,'supermarket_store_go_pro', array(
			'priority'   => 1,
			'title'    => esc_html__( 'Supermarket Pro', 'supermarket-store' ),
			'pro_text' => esc_html__( 'Buy Pro', 'supermarket-store' ),
			'pro_url'    => esc_url( SUPERMARKET_STORE_BUY_NOW ),
		) )	);

		// Register sections.
		$supermarket_store_manager->add_section( new Supermarket_Store_Customize_Section_Pro( $supermarket_store_manager,'supermarket_store_lite_documentation', array(
			'priority'   => 1,
			'title'    => esc_html__( 'Lite Documentation', 'supermarket-store' ),
			'pro_text' => esc_html__( 'Instruction', 'supermarket-store' ),
			'pro_url'    => esc_url( SUPERMARKET_STORE_LITE_DOC ),
		) )	);

		$supermarket_store_manager->add_section( new Supermarket_Store_Customize_Section_Pro( $supermarket_store_manager, 'supermarket_store_live_demo', array(
			'priority'   => 1,
			'title'      => esc_html__( 'Pro Theme Demo', 'supermarket-store' ),
			'pro_text'   => esc_html__( 'Live Preview', 'supermarket-store' ),
			'pro_url'    => esc_url( SUPERMARKET_STORE_LIVE_DEMO ),
		) ) );				
	}

	/**
	 * Loads theme customizer CSS.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return void
	 */
	public function enqueue_control_scripts() {

		wp_enqueue_script( 'supermarket-store-customize-controls', trailingslashit( get_template_directory_uri() ) . '/revolution/assets/js/customize-controls.js', array( 'customize-controls' ) );

		wp_enqueue_style( 'supermarket-store-customize-controls', trailingslashit( get_template_directory_uri() ) . '/revolution/assets/css/customize-controls.css' );
	}
}

// Doing this customizer thang!
Supermarket_Store_Customize::get_instance();
